import java.text.*;
import java.util.*;
import java.lang.Integer.*;

/** Liest Textfile mit Datumsstrings ein, parsed diese und
  * wandelt sie in gewnschtes Format um.
  *
  * @author Bernhard Fiser 0109815
  * @version 1.0
  */
class DateConv
{
	public static void main(String[] argv)
	{
		String 		line;
		ReadFile	f;
		int		lineno = 0;
		int		i;
		myDate		mdate;

		/* Falls kein Commandline Paramter bergeben, dann
		 * Fehlermeldung anzeigen und aussteigen */
		if (argv.length < 1)
		{
			System.err.println("*** error: missing args");
			return;
		}

		/* Datei ffnen */
		f = new ReadFile(".", argv[0]);

		/* Jede Zeile einzeln auslesen */
		while ((line = f.readLine()) != null)
		{
			/* Zeilennummerncounter erhhen */
			lineno++;

			/* neues myDate-Object erstellen und umwandeln */
			mdate = new myDate();
			if (mdate.parseString(line) == false)
			{
				System.err.println("*** warning: syntax error in line " + lineno);
				continue;
			}

			/* Prfen ob Datum gltig ist */
			if (mdate.check_date() == false)
			{
				System.err.println("*** warning: calendar error in line " + lineno);
				continue;
			}

			/* Gelesenes Datum ausgeben */
			System.out.print(line + " -> ");
			/* Datum ausgeben.
			 * falls vorher numerisch (conv_mode == 0),
			 * dann alphanumerisch ausgeben */
			if (mdate.conv_mode == 0)
				mdate.printa();
			/* falls vorher alphanumerisch (conv_mode == 1), dann
			 * in umgekehrter Reihenfolge ausgeben */
			else
				mdate.printn();
			System.out.println();
		}
		/* Datei schlieen */
		f.close();
	}
}
